import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router'

const routes = [
  {
    path: '/',
    name: '',
    redirect: '/record'
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/views/login.vue')
  },
  {
    path: '/forget-pwd',
    name: 'forget-pwd',
    component: () => import('@/views/forget-pwd.vue')
  },
  {
    path: '/audience-signin-success',
    name: 'audience-signin-success',
    component: () => import('@/views/audience-signin-success.vue')
  },
  {
    path: '/audience-signin',
    name: 'audience-signin',
    component: () => import('@/views/audience-signin.vue')
  },
  {
    path: '/check-in',
    name: 'check-in',
    component: () => import('@/views/check-in.vue')
  },
  {
    path: '/me',
    name: 'me',
    component: () => import('@/views/me.vue')
  },
  {
    path: '/record',
    name: 'record',
    component: () => import('@/views/record.vue')
  },
  {
    path: '/review-poster',
    name: 'review-poster',
    component: () => import('@/views/review-poster.vue')
  },
  {
    path: '/review-submit',
    name: 'review-submit',
    component: () => import('@/views/review-submit.vue')
  },
  {
    path: '/review-success',
    name: 'review-success',
    component: () => import('@/views/review-success.vue')
  },
  {
    path: '/review',
    name: 'review',
    component: () => import('@/views/review.vue')
  },
  {
    path: '/sign-code',
    name: 'sign-code',
    component: () => import('@/views/sign-code.vue')
  },
  {
    path: '/training',
    name: 'training',
    component: () => import('@/views/training.vue')
  },
  {
    path: '/trained',
    name: 'trained',
    component: () => import('@/views/trained.vue')
  },
  {
    path: '/create-train',
    name: 'create-train',
    component: () => import('@/views/create-train.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes
})

export default router
